use thiserror::Error;

#[derive(Error, Debug)]
pub enum ReadError {
	#[error("Data received from TNC is not valid")]
	MalformedData,

	#[error("Stream error: {0}")]
	StreamError(#[from] std::io::Error),
}
